[libcxx] Fix intrinsics for MSVC
ClosedPublic

Authored by halyavin on Dec 3 2017, 3:03 AM.

Details

Summary

The parameter was previously renamed but MSVC path was not updated.

Diff Detail

Repository
rCXX libc++
halyavin created this revision.Dec 3 2017, 3:03 AM
smeenai accepted this revision.Dec 4 2017, 11:54 AM
smeenai added a subscriber: smeenai.

Are you actually using libc++ with cl? :)

This revision is now accepted and ready to land.Dec 4 2017, 11:54 AM

Are you actually using libc++ with cl? :)

People mostly use it to compile on Windows but I heard someone launches the result too. Since no one complains and it passed most of the testing, I guess the result doesn't explode. It is also part of catboost but I haven't tried how well it works there myself yet.

Are you actually using libc++ with cl? :)

People mostly use it to compile on Windows but I heard someone launches the result too. Since no one complains and it passed most of the testing, I guess the result doesn't explode. It is also part of catboost but I haven't tried how well it works there myself yet.

Hmm how is #include_next handled?

Are you actually using libc++ with cl? :)

People mostly use it to compile on Windows but I heard someone launches the result too. Since no one complains and it passed most of the testing, I guess the result doesn't explode. It is also part of catboost but I haven't tried how well it works there myself yet.

Hmm how is #include_next handled?

About the same way as this proposed change: https://reviews.llvm.org/D32411 .

PS Could you please commit this (D40774) change? I don't have commit rights.

smeenai added a subscriber: bcraig.Dec 5 2017, 9:44 AM

Are you actually using libc++ with cl? :)

People mostly use it to compile on Windows but I heard someone launches the result too. Since no one complains and it passed most of the testing, I guess the result doesn't explode. It is also part of catboost but I haven't tried how well it works there myself yet.

Hmm how is #include_next handled?

About the same way as this proposed change: https://reviews.llvm.org/D32411 .

PS Could you please commit this (D40774) change? I don't have commit rights.

Ah, that's good to know. CC @bcraig

Sorry, didn't know you didn't have commit access. I'll commit it for you.

This revision was automatically updated to reflect the committed changes.